> Agent-readable docs index: /llms.txt. Download /docs.zip to grep all markdown files locally.

---
title: "Gift Product"
description: "Gifts a subscription plan for a product to a user. Available for official resellers only. cnt selects the plan: 0 = 30 days, 1 = 90 days, 2 = 180 days, 3 = 365 days. Use get-prices for current prices."
api: "POST /gift-product"
gridGap: 30
---

<Aside full>
  <RequestExample>
    ```bash title="cURL" lines=false
    curl -X POST "https://user-api.neverlose.cc/api/market/gift-product" \
      -H "Content-Type: application/json" \
      -d '{
      "user_id": 1,
      "id": 2,
      "username": "darth",
      "product": "csgo",
      "cnt": 0,
      "signature": "string"
    }'
    ```
  </RequestExample>
</Aside>

<OpenAPIEndpoint {...{"method":"post","path":"/gift-product","summary":"Gift Product","description":"Gifts a subscription plan for a product to a user.\n\n**Available for official resellers only.**\n\n`cnt` selects the plan: `0` = 30 days, `1` = 90 days, `2` = 180 days,\n`3` = 365 days. Use `get-prices` for current prices.\n","parameters":[],"requestBody":{"required":true,"contentType":"application/json","schema":{"type":"object","required":["user_id","id","username","product","cnt","signature"],"properties":{"user_id":{"type":"integer"},"id":{"description":"Unique request id.","oneOf":[{"type":"integer"},{"type":"string"}]},"username":{"type":"string","description":"Username that will receive the product."},"product":{"type":"string","description":"Product name.","enum":["csgo","cs2"]},"cnt":{"type":"integer","description":"Plan: 0=30d, 1=90d, 2=180d, 3=365d.","enum":[0,1,2,3]},"signature":{"type":"string"}}},"examples":[]},"responses":[{"status":"200","description":"Product gifted","schema":{"type":"object","properties":{"success":{"type":"boolean"},"succ":{"type":"boolean"}}},"examples":[]}],"security":[],"servers":[{"url":"https://user-api.neverlose.cc/api/market","description":"Production"}],"badges":[{"label":"Resellers only","color":"orange","tooltip":"Available for official resellers only"}]}} />
